// CSEE 4840 Bettor Sports Arbitrage Calc Odds Module

module calc_odds(
	/* verilator lint_off UNUSED */
	input logic [31:0]	a,
	input logic [31:0]	b,
	/* verilator lint_on UNUSED */
	output logic found_result,
	output logic [19:0] arb_prob
);
	logic [19:0] a20, b20;
	logic [39:0] ab;
	logic [39:0] aplusb;


    assign a20 = a[19:0];
    assign b20 = b[19:0];

	assign ab = a20 * b20;
	assign aplusb = {10'b0, a20 + b20, 10'b0};

	always_comb begin
		if (aplusb < ab) begin
			found_result = 1;
			arb_prob = aplusb[29:10];
		end else begin
			found_result = 0;
			arb_prob = 0;
		end
	end

endmodule
