#ifndef _ARB_IOCTL_H
#define _ARB_IOCTL_H

#include <linux/types.h>
#include <linux/ioctl.h>

#include "arb.h"
#include "avalon_interface.h"

#define CALC_ARB_MAGIC 'q'

/* ioctls and their arguments */
#define CALC_ARB_WRITE_EVENTS _IOW(CALC_ARB_MAGIC, 1, arb_event_t)
#define CALC_ARB_READ_RESULTS  _IOR(CALC_ARB_MAGIC, 2, arb_result_t)


#endif
